- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_grab_button_request_t Struct Reference
[XCB API]

xcb_grab_button_request_t More...

`#include <xproto.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | owner_events
uint16_t | length
xcb_window_t | grab_window
uint16_t | event_mask
uint8_t | pointer_mode
uint8_t | keyboard_mode
xcb_window_t | confine_to
xcb_cursor_t | cursor
uint8_t | button
uint8_t | pad0
uint16_t | modifiers

## Detailed Description

xcb_grab_button_request_t

## Field Documentation

uint8_t xcb_grab_button_request_t::major_opcode

uint8_t xcb_grab_button_request_t::owner_events

uint16_t xcb_grab_button_request_t::length

xcb_window_t xcb_grab_button_request_t::grab_window

uint16_t xcb_grab_button_request_t::event_mask

uint8_t xcb_grab_button_request_t::pointer_mode

uint8_t xcb_grab_button_request_t::keyboard_mode

xcb_window_t xcb_grab_button_request_t::confine_to

xcb_cursor_t xcb_grab_button_request_t::cursor

uint8_t xcb_grab_button_request_t::button

uint8_t xcb_grab_button_request_t::pad0

uint16_t xcb_grab_button_request_t::modifiers

The documentation for this struct was generated from the following file:

- xproto.h